API reference OpenAPI 3.1
DELETE /tasks/{id}

Delete a task

Bearer API key or staff session operation deleteTask

Parameters

NameInTypeRequiredDescription
id path string Yes —

Request

This endpoint has no request body.

curl -X DELETE "$MONICHEK_API/tasks/{id}" \
  -H "Authorization: Bearer $MONICHEK_API_KEY"
const res = await fetch(`${MONICHEK_API}/tasks/{id}`, {
  method: "DELETE",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
  },
});

const data = await res.json();
import os
import requests

res = requests.delete(
    f"{os.environ['MONICHEK_API']}/tasks/{id}",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/tasks/{id}');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'DELETE',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Replace {id} with the resource id.

Responses

200 OK deleted application/json

No response example is published for this status.

Error responses

StatusMeaningBody
403 Forbidden RFC 9457 problem
404 Not Found RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.